# Put in a separate page so it can be used by SciMLDocs.jl

pages = ["index.md",
    "Getting Started with Nonlinear Rootfinding in Julia" => "tutorials/getting_started.md",
    "Tutorials" => Any["tutorials/code_optimization.md",
        "tutorials/large_systems.md",
        "tutorials/modelingtoolkit.md",
        "tutorials/small_compile.md",
        "tutorials/iterator_interface.md",
        "tutorials/optimizing_parameterized_ode.md"],
    "Basics" => Any["basics/NonlinearProblem.md",
        "basics/NonlinearFunctions.md",
        "basics/solve.md",
        "basics/NonlinearSolution.md",
        "basics/TerminationCondition.md",
        "basics/Logging.md",
        "basics/SparsityDetection.md",
        "basics/FAQ.md"],
    "Solver Summaries and Recommendations" => Any["solvers/NonlinearSystemSolvers.md",
        "solvers/BracketingSolvers.md",
        "solvers/SteadyStateSolvers.md",
        "solvers/NonlinearLeastSquaresSolvers.md",
        "solvers/LineSearch.md"],
    "Detailed Solver APIs" => Any["api/nonlinearsolve.md",
        "api/simplenonlinearsolve.md",
        "api/minpack.md",
        "api/nlsolve.md",
        "api/sundials.md",
        "api/steadystatediffeq.md",
        "api/leastsquaresoptim.md",
        "api/fastlevenbergmarquardt.md"],
    "Release Notes" => "release_notes.md",
]
